Page MenuHomePhabricator

1.31.0-wmf.21 deployment blockers
Closed, ResolvedPublicRelease

Details

Commits
rOMWC09ae320cdbbd: all wikis to 1.31.0-wmf.21
Release Version
1.31.0-wmf.21
Release Date
1518393600

2018 week 07 1.31-wmf.21 Changes wmf/1.31.0-wmf.21

This MediaWiki Train Deployment is scheduled for the week of Monday, February 12th:

Monday February 12thTuesday, February 13thWednesday, February 14thThursday, February 15thFriday
SWAT deployments only.Branch wmf.21 and deploy to Group 0 Wikis.Deploy wmf.21 to Group 1 Wikis.Deploy wmf.21 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.21 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.31.0-wmf.20
Next: 1.31.0-wmf.22

Event Timeline

greg created this task.Jan 2 2018, 6:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 2 2018, 6:59 PM
greg triaged this task as Normal priority.Jan 17 2018, 4:42 PM

Mentioned in SAL (#wikimedia-operations) [2018-02-13T18:00:15Z] <twentyafterfour> Preparing to cut new MediaWiki branch wmf/1.31.0-wmf.21 - report deployment blockers for this branch in phabricator: T183960

Mentioned in SAL (#wikimedia-operations) [2018-02-13T20:05:57Z] <twentyafterfour> MediaWiki Train 1.31.0-wmf.21 branched, prepped and patched | Changelog uploaded to https://www.mediawiki.org/wiki/MediaWiki_1.31/wmf.21/Changelog | Blockers: T183960

Mentioned in SAL (#wikimedia-operations) [2018-02-13T20:11:58Z] <twentyafterfour> Currently there are no blockers listed on T183960 and the train is leaving the station.

Mentioned in SAL (#wikimedia-operations) [2018-02-13T20:12:12Z] <twentyafterfour@tin> Started scap: T183960 Build l10n cache & Deploy wmf/1.31.0-wmf.21 to test wikis

Mentioned in SAL (#wikimedia-operations) [2018-02-13T20:43:04Z] <twentyafterfour@tin> Finished scap: T183960 Build l10n cache & Deploy wmf/1.31.0-wmf.21 to test wikis (duration: 31m 01s)

Mentioned in SAL (#wikimedia-operations) [2018-02-14T20:40:54Z] <twentyafterfour> Group1 wikis are now running MediaWiki 1.31.0-wmf.21 - still no blockers on T183960

Mentioned in SAL (#wikimedia-operations) [2018-02-15T20:22:11Z] <twentyafterfour> 1.31.0-wmf.21 deployed: no apparent change in fatalmonitor error rate. refs T183960

mmodell closed this task as Resolved.Feb 20 2018, 3:57 PM